Bug 97595 - exceptions from CC (AIOBE, CCE, IOOBE)
exceptions from CC (AIOBE, CCE, IOOBE)
Status: VERIFIED FIXED
Product: javascript
Classification: Unclassified
Component: Editor
6.x
All Windows XP
: P1 (vote)
: 6.x
Assigned To: issues@ide
issues@javascript
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-09 21:37 UTC by Pavel Buzek
Modified: 2009-02-27 14:26 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
message log (70.77 KB, text/plain)
2007-03-09 21:38 UTC, Pavel Buzek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Buzek 2007-03-09 21:37:39 UTC
I did a cvs c/o and built netbeans plus languages\engine, scripting\ruby and
scripting\javascript. When I create a new empty javascript file or javascript
object and try code completion I get various exceptions and no completion items.
I trid this in RoR project and in Web project. Will attach my log.
Comment 1 Pavel Buzek 2007-03-09 21:38:51 UTC
Created attachment 39351 [details]
message log
Comment 2 Jan Jancura 2007-03-11 23:02:42 UTC
CCE in Languages fixed:

IDE:-------------------------------------------------
IDE: [3/11/07 10:54 PM] Committing "Language.java" started
Checking in Language.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/Language.java,v  <-- 
Language.java
new revision: 1.28; previous revision: 1.27
done
IDE: [3/11/07 10:54 PM] Committing "Language.java" finished

IDE:-------------------------------------------------
IDE: [3/11/07 10:55 PM] Committing "manifest.mf" started
Checking in manifest.mf;
/cvs/languages/engine/manifest.mf,v  <--  manifest.mf
new revision: 1.40; previous revision: 1.39
done
IDE: [3/11/07 10:55 PM] Committing "manifest.mf" finished
Comment 3 Jan Jancura 2007-03-11 23:14:45 UTC
AIOOBE in ASTPath.getLEaf fixed:

IDE:-------------------------------------------------
IDE: [3/11/07 11:13 PM] Committing "ASTPath.java" started
Checking in ASTPath.java;
/cvs/languages/engine/src/org/netbeans/api/languages/ASTPath.java,v  <-- 
ASTPath.java
new revision: 1.5; previous revision: 1.4
done
Comment 4 Jan Jancura 2007-03-12 09:35:58 UTC
AIOBE fix 2:


IDE:-------------------------------------------------
IDE: [3/12/07 9:32 AM] Committing "ASTPath.java" started
Checking in ASTPath.java;
/cvs/languages/engine/src/org/netbeans/api/languages/ASTPath.java,v  <-- 
ASTPath.java
new revision: 1.6; previous revision: 1.5
done
IDE: [3/12/07 9:32 AM] Committing "ASTPath.java" finished
Comment 5 Jan Jancura 2007-03-12 09:56:00 UTC
IAE in Fold fixed (so all exceptions should be fixed now):


IDE:-------------------------------------------------
IDE: [3/12/07 9:54 AM] Committing "LanguagesFoldManager.java" started
Checking in LanguagesFoldManager.java;
/cvs/languages/engine/src/org/netbeans/modules/languages/features/LanguagesFoldManager.java,v
 <--  LanguagesFoldManager.java
new revision: 1.5; previous revision: 1.4
done
IDE: [3/12/07 9:54 AM] Committing "LanguagesFoldManager.java" finished

IDE:-------------------------------------------------
IDE: [3/12/07 9:54 AM] Committing "manifest.mf" started
Checking in manifest.mf;
/cvs/languages/engine/manifest.mf,v  <--  manifest.mf
new revision: 1.42; previous revision: 1.41
done
IDE: [3/12/07 9:54 AM] Committing "manifest.mf" finished
Comment 6 Lukasz Grela 2007-03-27 16:17:04 UTC
v.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo